## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate zerocopy

Name:           rust-zerocopy0.6
Version:        0.6.6
Release:        %autorelease
Summary:        Utilities for zero-copy parsing and serialization

License:        BSD-2-Clause
URL:            https://crates.io/crates/zerocopy
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * relax trybuild dev-dependency from =1.0.80 to ^1.0.80
Patch:          zerocopy-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Utilities for zero-copy parsing and serialization.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/INTERNAL.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__internal_use_only_features_that_work_on_stable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__internal_use_only_features_that_work_on_stable-devel %{_description}

This package contains library source intended for building other packages which
use the "__internal_use_only_features_that_work_on_stable" feature of the "%{crate}" crate.

%files       -n %{name}+__internal_use_only_features_that_work_on_stable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-devel %{_description}

This package contains library source intended for building other packages which
use the "simd" feature of the "%{crate}" crate.

%files       -n %{name}+simd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd-nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "simd-nightly" feature of the "%{crate}" crate.

%files       -n %{name}+simd-nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * integration tests can only be run in upstream CI
%cargo_test -- --lib
%cargo_test -- --doc
%endif

%changelog
* Thu Dec 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.6-1
- Update to version 0.6.6

* Fri Oct 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.5-1
- Initial import (zerocopy 0.6 compat package)
